Locating .dll files for ArcGIS Diagrammer

2521
2
01-21-2016 12:21 PM
by Anonymous User
Not applicable

Hi, I'm looking for the .dll files shown below. I installed ArcGIS Runtime SDK for .Net | ArcGIS for Developers version 10.2.6 in hopes that they would be located there. I need these to repair ArcGIS Diagrammer for 10.3. I just have to place these .dll files in the BIN folder of ArcGIS Diagrammer so that it can work with ArcGIS 10.3. Where can I find these?

  • ESRI.ArcGIS.Carto.dll
  • ESRI.ArcGIS.Catalog.dll
  • ESRI.ArcGIS.CatalogUI.dll
  • ESRI.ArcGIS.DataSourcesGDB.dll
  • ESRI.ArcGIS.Display.dll
  • ESRI.ArcGIS.Geodatabase.dll
  • ESRI.ArcGIS.GeoDatabaseDistributed.dll
  • ESRI.ArcGIS.GeoDatabaseExtensions.dll
  • ESRI.ArcGIS.Geometry.dll
  • ESRI.ArcGIS.Output.dll
  • ESRI.ArcGIS.System.dll
  • ESRI.ArcGIS.Version.dll
0 Kudos
2 Replies
JasonKarr
New Contributor

Hi Michael Gayheart, thank you for your question relating to ArcGIS Diagrammer.  Unfortunately the current version for 10.2 will be final release of Diagrammer.  The reason for this is because Diagrammer uses a third party charting library that is no longer available.  A 10.3 release of Diagrammer would require significant reengineering to support a new charting library.

If you require the capabilities of Diagrammer for future work then you may want to consider maintaining a computer with ArcGIS Desktop 10.2.  Also, if certain capabilities are not available in 10.3 then I would suggest submit these  features to the ArcGIS Ideas site for consideration in future release of ArcGIS.

Hope this helps.

NilsBabel
Occasional Contributor II

Did you ever find these files?  I just got a new machine and need those files as well to get diagrammer to work with 10.4.  I had it working before but my hard drive died.  I've installed 10.4 and the SDK but the 10.4 SDK files don't work with Diagrammer.  Apparently only the 10.2 SDK files do.  Now that I've installed 10.4 the SDK install file won't let me install the 10.2 SDK. 

Thanks!

0 Kudos